import flatten from "../utils/simple-flatten.mjs";
import elements from "./elements.mjs";
export async function* lines(splitter) {
  // workaround https://github.com/palantir/tslint/issues/3997
  // tslint:disable-next-line:await-promise
  for await (const element of elements(splitter)) {
    const {
      format,
      reset,
      main,
      prefix,
      suffix
    } = element;
    const flattenFormat = flatten(format);
    yield [...reset, ...prefix, ...flattenFormat, ...main, ...suffix];
  }
}
export default lines; //# sourceMappingURL=lines.js.map