"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const string_writable_1 = tslib_1.__importDefault(require("../utils/string-writable"));
const write_1 = tslib_1.__importDefault(require("./write"));
const writeln_1 = tslib_1.__importDefault(require("./writeln"));
async function toString(splitter, options = {}) {
    const { finalNewLine = false, ...rest } = options;
    const writable = new string_writable_1.default(rest);
    if (finalNewLine) {
        await writeln_1.default(writable, splitter);
    }
    else {
        await write_1.default(writable, splitter);
    }
    return writable.toString();
}
exports.toString = toString;
exports.default = toString;
//# sourceMappingURL=to-string.js.map