"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const special_character_1 = tslib_1.__importDefault(require("../utils/special-character"));
const lines_1 = tslib_1.__importDefault(require("./lines"));
const { EndOfLine } = special_character_1.default;
async function write(writable, splitter) {
    let mkline = (line) => {
        mkline = line => [EndOfLine, ...line]; // non-first lines have leading eol
        return [...line]; // first line has no leading eol
    };
    for await (const line of lines_1.default(splitter)) {
        writable.write(Buffer.from(mkline(line)));
    }
}
exports.write = write;
exports.default = write;
//# sourceMappingURL=write.js.map